Page MenuHomeFreeBSD

Mention vendor driver for if_re
ClosedPublic

Authored by jo_bruelltuete.com on Dec 28 2021, 1:13 AM.
Tags
None
Referenced Files
F84102584: D33677.id.diff
Sun, May 19, 10:18 AM
Unknown Object (File)
Fri, May 17, 11:10 AM
Unknown Object (File)
Mon, Apr 22, 3:43 AM
Unknown Object (File)
Fri, Apr 19, 5:50 PM
Unknown Object (File)
Fri, Apr 19, 5:45 PM
Unknown Object (File)
Apr 17 2024, 5:13 AM
Unknown Object (File)
Apr 17 2024, 5:13 AM
Unknown Object (File)
Apr 17 2024, 5:12 AM

Details

Summary

The in-src driver for if_re seems to have some problems, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=166724 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208205.

The vendor driver, which exist as a port, seems to fix all/most of that.
Mention the vendor driver in the man page to increase the chance of someone like me finding it.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

debdrup requested changes to this revision.Jan 3 2022, 11:17 AM
debdrup added a subscriber: debdrup.

Firstly, please see the Phabricator wiki article for information on how to create a full-context diff - it makes it easier for us to make in-line suggestions.

Secondly, you always want to ensure that .Dd is bumped when you're submitting a diff to manual pages, since that makes it easy to keep track of when it was modified (displayed at the bottom when rendered using mandoc | less which is the default in FreeBSD.

Thirdly, Rs implies a bibliographical reference, which this isn't - this is simply reference to a port, which can be accomplished using something along the lines of "The unmodified driver from the vendor can be found in net/realtek-re-kmod.", and then adding a .Xr if_re 4 Pq Pa ports/net/realtek-re-kmod macro in the SEE ALSO section.

This revision now requires changes to proceed.Jan 3 2022, 11:17 AM

thanks for looking at the patch!

adding a note to the bugs section is prob the most appropriate as we are directing ppl to check out the vendor driver in case they have problems with the in-source one.

thanks for looking at the patch!

adding a note to the bugs section is prob the most appropriate as we are directing ppl to check out the vendor driver in case they have problems with the in-source one.

No worries :)

And you're absolutely right about it belonging in the BUGS section.
However, I still maintain that you need the cross-reference I mentioned in the SEE ALSO section as well.

koobs added a subscriber: koobs.

LGTM ship and merge it!

share/man/man4/re.4
289–290

An unmodified driver supplied by Realtek is available in ports under net/realtek-re-kmod.

Apologies for taking so long, life got in the way.

@koobs is right about the article, but that can be fixed when it's committed and pushed.

This revision is now accepted and ready to land.Oct 10 2022, 2:33 PM
emaste added a subscriber: emaste.

We should bring in improvements from the vendor driver, but we should certainly mention it. I probably would avoid the "unmodified driver" terminology though, which seems to imply we have the same driver in the tree but with broken modifications. I don't think this is the case. Maybe "updated vendor driver"?

This revision now requires review to proceed.Nov 7 2022, 1:22 AM

Someone please click the merge button... thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Nov 7 2022, 12:18 PM
This revision was automatically updated to reflect the committed changes.